<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Analytics/AnalyticsManagerClient.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d00/_analytics_manager_client_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">AnalyticsManagerClient.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d8/d00/_analytics_manager_client_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d8/d3e/class_analytics_manager_client.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/d3e/class_analytics_manager_client.html">AnalyticsManagerClient</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d8/d3e/class_analytics_manager_client.html#a4e294f8e4d2d8766c9d0f52c7e05c5b7">    3</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d8/d3e/class_analytics_manager_client.html#a4e294f8e4d2d8766c9d0f52c7e05c5b7">GEAR_COUNT</a> = 3; </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d8/d3e/class_analytics_manager_client.html#a1196b9d9b31291b6078fdd47bdec1310">    4</a></span>    <span class="keyword">static</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d8/d3e/class_analytics_manager_client.html#a1196b9d9b31291b6078fdd47bdec1310">m_FullGear</a>[<a class="code hl_variable" href="../../d8/d3e/class_analytics_manager_client.html#a4e294f8e4d2d8766c9d0f52c7e05c5b7">GEAR_COUNT</a>] = {<span class="stringliteral">&quot;Shoulder&quot;</span>,<span class="stringliteral">&quot;Melee&quot;</span>,<span class="stringliteral">&quot;Back&quot;</span>};</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d8/d3e/class_analytics_manager_client.html#afb221163d698975a16468e85c815479a">    6</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d3e/class_analytics_manager_client.html#afb221163d698975a16468e85c815479a">RegisterEvents</a>()</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    {</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <a class="code hl_class" href="../../d5/daf/class_client_data.html">ClientData</a>.<a class="code hl_variable" href="../../d5/daf/class_client_data.html#aee555d762fb044be23805de0268be336">SyncEvent_OnEntityKilled</a>.<a class="code hl_function" href="../../d4/d2d/class_script_invoker.html#abeb2392b2e3dc0a34d0c5cafc96a288e">Insert</a>(<a class="code hl_function" href="../../d8/d3e/class_analytics_manager_client.html#a1467e65be887768c385f4c5bad90e23a">Event_OnEntityKilled</a>);</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <a class="code hl_class" href="../../d5/daf/class_client_data.html">ClientData</a>.<a class="code hl_variable" href="../../d5/daf/class_client_data.html#ab893cdb33e1bf3adca686a4e49be3803">SyncEvent_OnPlayerIgnitedFireplace</a>.<a class="code hl_function" href="../../d4/d2d/class_script_invoker.html#abeb2392b2e3dc0a34d0c5cafc96a288e">Insert</a>(<a class="code hl_function" href="../../d8/d3e/class_analytics_manager_client.html#afc00bba8ec8bcce91091e672386b23c4">Event_OnPlayerIgnitedFireplace</a>);</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    }</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d8/d3e/class_analytics_manager_client.html#a2a168a8983dd9f97adab0cfb7d77c205">   12</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d3e/class_analytics_manager_client.html#a2a168a8983dd9f97adab0cfb7d77c205">UnregisterEvents</a>()</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    {</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <a class="code hl_class" href="../../d5/daf/class_client_data.html">ClientData</a>.<a class="code hl_variable" href="../../d5/daf/class_client_data.html#aee555d762fb044be23805de0268be336">SyncEvent_OnEntityKilled</a>.<a class="code hl_function" href="../../d4/d2d/class_script_invoker.html#a704b1e426e4369c79a8495f63cfe5eed">Remove</a>(<a class="code hl_function" href="../../d8/d3e/class_analytics_manager_client.html#a1467e65be887768c385f4c5bad90e23a">Event_OnEntityKilled</a>);</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <a class="code hl_class" href="../../d5/daf/class_client_data.html">ClientData</a>.<a class="code hl_variable" href="../../d5/daf/class_client_data.html#ab893cdb33e1bf3adca686a4e49be3803">SyncEvent_OnPlayerIgnitedFireplace</a>.<a class="code hl_function" href="../../d4/d2d/class_script_invoker.html#a704b1e426e4369c79a8495f63cfe5eed">Remove</a>(<a class="code hl_function" href="../../d8/d3e/class_analytics_manager_client.html#afc00bba8ec8bcce91091e672386b23c4">Event_OnPlayerIgnitedFireplace</a>);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    }</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    <span class="comment">//===================================</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    <span class="comment">// OnActionEat</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    <span class="comment">//===================================</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d8/d3e/class_analytics_manager_client.html#af80a664805ae07e95eddbf0c31dfaba8">   21</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d3e/class_analytics_manager_client.html#af80a664805ae07e95eddbf0c31dfaba8">OnActionEat</a>()</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <a class="code hl_class" href="../../d1/dc8/class_achievements.html">Achievements</a>.<a class="code hl_function" href="../../d1/dc8/class_achievements.html#a909878d1e5ee4d0fddedce69a6d36cdb">OnActionEat</a>();</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <span class="comment">//===================================</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    <span class="comment">// OnActionDrink</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    <span class="comment">//===================================</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d8/d3e/class_analytics_manager_client.html#ac71de1e479b5f0de4a5686407e1f1a2d">   29</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d3e/class_analytics_manager_client.html#ac71de1e479b5f0de4a5686407e1f1a2d">OnActionDrink</a>()</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <a class="code hl_class" href="../../d1/dc8/class_achievements.html">Achievements</a>.<a class="code hl_function" href="../../d1/dc8/class_achievements.html#a0cb5760c521838510d6d36c62c9d8608">OnActionDrink</a>();</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    <span class="comment">//===================================</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    <span class="comment">// OnActionCookedSteak - not implemented</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    <span class="comment">//===================================</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d8/d3e/class_analytics_manager_client.html#afff9d6688d9d19e1b23b42f35ba1bbd9">   37</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d3e/class_analytics_manager_client.html#afff9d6688d9d19e1b23b42f35ba1bbd9">OnActionCookedSteak</a>()</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <a class="code hl_class" href="../../d1/dc8/class_achievements.html">Achievements</a>.<a class="code hl_function" href="../../d1/dc8/class_achievements.html#a09e58ccf4d5ce602689b282f784231a5">OnCookedSteak</a>();</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    <span class="comment">//===================================</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    <span class="comment">// OnActionFinishedShaveSelf</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    <span class="comment">//===================================</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d8/d3e/class_analytics_manager_client.html#a62f4f207b880e504a14ba78eb64b9157">   45</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d3e/class_analytics_manager_client.html#a62f4f207b880e504a14ba78eb64b9157">OnActionFinishedShaveSelf</a>()</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <a class="code hl_class" href="../../d1/dc8/class_achievements.html">Achievements</a>.<a class="code hl_function" href="../../d1/dc8/class_achievements.html#ac0da7d490b0a459919b740ef2e5135de">OnActionShave</a>();</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    <span class="comment">//===================================</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    <span class="comment">// OnActionFinishedGutDeer</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    <span class="comment">//===================================</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d8/d3e/class_analytics_manager_client.html#af4d216f338a7e84a1f7759b15355bf9a">   53</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d3e/class_analytics_manager_client.html#af4d216f338a7e84a1f7759b15355bf9a">OnActionFinishedGutDeer</a>()</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <a class="code hl_class" href="../../d1/dc8/class_achievements.html">Achievements</a>.<a class="code hl_function" href="../../d1/dc8/class_achievements.html#abded1560b0265bd14fed6f33ae059137">OnActionGutDeer</a>();</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    <span class="comment">//===================================</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    <span class="comment">// OnActionRestrain</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    <span class="comment">//===================================</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../d8/d3e/class_analytics_manager_client.html#a6ed1b56e835b8c4719c3b15d4c00541d">   61</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d3e/class_analytics_manager_client.html#a6ed1b56e835b8c4719c3b15d4c00541d">OnActionRestrain</a>()</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    {       </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <a class="code hl_class" href="../../d1/dc8/class_achievements.html">Achievements</a>.<a class="code hl_function" href="../../d1/dc8/class_achievements.html#a458ed599098127459869efa3a4679485">OnActionHandcuff</a>();</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    <span class="comment">//===================================</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    <span class="comment">// OnActionBandageTarget</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    <span class="comment">//===================================</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../d8/d3e/class_analytics_manager_client.html#a597b38efae4cdb5ccb533d06d3a11f43">   69</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d3e/class_analytics_manager_client.html#a597b38efae4cdb5ccb533d06d3a11f43">OnActionBandageTarget</a>()</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    {   </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <a class="code hl_class" href="../../d1/dc8/class_achievements.html">Achievements</a>.<a class="code hl_function" href="../../d1/dc8/class_achievements.html#a69f85a8b9d5f1f435beea9672eb672f8">OnActionMedsSurvivor</a>();</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    }</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    <span class="comment">//===================================</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    <span class="comment">// OnItemAttachedAtPlayer</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    <span class="comment">//===================================</span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="../../d8/d3e/class_analytics_manager_client.html#a9c26025e6e9bbb0c06f86c545163e859">   77</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d3e/class_analytics_manager_client.html#a9c26025e6e9bbb0c06f86c545163e859">OnItemAttachedAtPlayer</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item, <span class="keywordtype">string</span> slot_name)</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    {</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordtype">bool</span> weapon_present;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keywordtype">bool</span> melee_present;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordtype">bool</span> backpack_present;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <a class="code hl_class" href="../../d8/d86/class_human_inventory.html">HumanInventory</a> inventory;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span> </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/dc8/_day_z_game_8c.html#a92f5918ec5d632d5159c9d1f52fe7758">GetDayZGame</a>().<a class="code hl_function" href="../../d8/dc8/_day_z_game_8c.html#a65f8eb109f7c050b229579c9c53c4ed5">GetGameState</a>() != DayZGameState.IN_GAME )</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        {</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        }</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        Man player = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a98e334b5640f57fa731546a0ba86b3be">GetPlayer</a>();</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <span class="keywordflow">if</span> (!player)</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        {</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        }</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        inventory = player.GetHumanInventory();</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>            </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <span class="keywordflow">if</span> ( player &amp;&amp; inventory )</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../d8/d3e/class_analytics_manager_client.html#a4e294f8e4d2d8766c9d0f52c7e05c5b7">GEAR_COUNT</a>; ++i )</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            {</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>                <span class="keywordtype">int</span> slot_id = <a class="code hl_class" href="../../df/d36/class_inventory_slots.html">InventorySlots</a>.<a class="code hl_function" href="../../df/d36/class_inventory_slots.html#afdfa2801842c135099e68d21a2e71590">GetSlotIdFromString</a>(<a class="code hl_variable" href="../../d8/d3e/class_analytics_manager_client.html#a1196b9d9b31291b6078fdd47bdec1310">m_FullGear</a>[i]);</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>                <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> att_item = inventory.<a class="code hl_function" href="../../dc/d11/class_game_inventory.html#af8002b59258c66566442a01887d57df8">FindAttachment</a>( slot_id ); <span class="comment">// Boris V [27.2.2019]: Consider using player.GetItemOnSlot(m_FullGear[i]) instead.</span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>                    </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>                <span class="keywordflow">if</span> ( !att_item )</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>                {</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>                    <span class="comment">//Print(&quot;index: &quot;+ i +&quot; slot_id: &quot;+ slot_id +&quot; = &quot;+ att_item + &quot; EMPTY&quot;);</span></div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>                    <span class="keywordflow">continue</span>;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>                }</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>                </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>                <span class="comment">//checks for firearm</span></div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>                <span class="keywordflow">if</span> (att_item.IsWeapon())</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>                    weapon_present = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>                <span class="comment">//checks for melee weapon</span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>                <span class="keywordflow">else</span> <span class="keywordflow">if</span> (!att_item.IsWeapon() &amp;&amp; att_item.GetInventory().HasInventorySlot(<a class="code hl_class" href="../../df/d36/class_inventory_slots.html">InventorySlots</a>.<a class="code hl_function" href="../../df/d36/class_inventory_slots.html#afdfa2801842c135099e68d21a2e71590">GetSlotIdFromString</a>(<span class="stringliteral">&quot;Melee&quot;</span>)))</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>                    melee_present = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>                <span class="comment">//checks for backpack</span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>                <span class="keywordflow">else</span> <span class="keywordflow">if</span> (!att_item.IsWeapon() &amp;&amp; att_item.GetInventory().HasInventorySlot(<a class="code hl_class" href="../../df/d36/class_inventory_slots.html">InventorySlots</a>.<a class="code hl_function" href="../../df/d36/class_inventory_slots.html#afdfa2801842c135099e68d21a2e71590">GetSlotIdFromString</a>(<span class="stringliteral">&quot;Back&quot;</span>)))</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>                    backpack_present = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>                <span class="comment">//Print(&quot;index: &quot;+ i +&quot; slot_id: &quot;+ slot_id +&quot; = &quot;+ att_item + &quot; ATTACHED&quot;);</span></div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>            }</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>                </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>            <span class="comment">//separate check for hand slot; TODO remove duplicates</span></div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>            att_item = inventory.<a class="code hl_function" href="../../d8/d86/class_human_inventory.html#a314bb90c0fcbd13aa737c13b199ac429">GetEntityInHands</a>();</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>            <span class="keywordflow">if</span> ( att_item )</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>            {</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>                <span class="comment">//checks for firearm</span></div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>                <span class="keywordflow">if</span> (att_item.IsWeapon())</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>                    weapon_present = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>                <span class="comment">//checks for melee weapon</span></div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>                <span class="keywordflow">else</span> <span class="keywordflow">if</span> (!att_item.IsWeapon() &amp;&amp; att_item.GetInventory().HasInventorySlot(<a class="code hl_class" href="../../df/d36/class_inventory_slots.html">InventorySlots</a>.<a class="code hl_function" href="../../df/d36/class_inventory_slots.html#afdfa2801842c135099e68d21a2e71590">GetSlotIdFromString</a>(<span class="stringliteral">&quot;Melee&quot;</span>)) )</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>                    melee_present = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>                <span class="comment">//checks for backpack</span></div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>                <span class="keywordflow">else</span> <span class="keywordflow">if</span> (!att_item.IsWeapon() &amp;&amp; att_item.GetInventory().HasInventorySlot(<a class="code hl_class" href="../../df/d36/class_inventory_slots.html">InventorySlots</a>.<a class="code hl_function" href="../../df/d36/class_inventory_slots.html#afdfa2801842c135099e68d21a2e71590">GetSlotIdFromString</a>(<span class="stringliteral">&quot;Back&quot;</span>)))</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>                    backpack_present = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>            }</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>                </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>            <span class="keywordflow">if</span> (weapon_present &amp;&amp; melee_present &amp;&amp; backpack_present)</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>            {</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>                <span class="comment">//Print(&quot;---EAchievementActionId.ACTION_EQUIP_GEAR&quot;);</span></div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>                <a class="code hl_class" href="../../d1/dc8/class_achievements.html">Achievements</a>.<a class="code hl_function" href="../../d1/dc8/class_achievements.html#a95100ef4b8f6537d2c36fb65e9408865">OnEquippedFullGear</a>();</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>            }</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        }</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    }</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    </div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    <span class="comment">//===================================</span></div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    <span class="comment">// Event_OnPlayerIgnitedFireplace</span></div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    <span class="comment">//===================================</span></div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno"><a class="line" href="../../d8/d3e/class_analytics_manager_client.html#afc00bba8ec8bcce91091e672386b23c4">  148</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d3e/class_analytics_manager_client.html#afc00bba8ec8bcce91091e672386b23c4">Event_OnPlayerIgnitedFireplace</a>( <a class="code hl_enumeration" href="../../da/df6/_e_fire_ignite_type_8c.html#a96be9fad49c872d620786d85934daafe">EFireIgniteType</a> ignite_type )</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    {</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        <span class="keywordflow">switch</span> ( ignite_type )</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        {</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>            <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../da/df6/_e_fire_ignite_type_8c.html#a96be9fad49c872d620786d85934daafe">EFireIgniteType</a>.Matchbox:</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>            {</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>                <a class="code hl_class" href="../../d1/dc8/class_achievements.html">Achievements</a>.<a class="code hl_function" href="../../d1/dc8/class_achievements.html#a182e1b7ea8882b5e3b750a90854e0008">OnActionIgniteMatchbox</a>();</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>            }</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>            <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../da/df6/_e_fire_ignite_type_8c.html#a96be9fad49c872d620786d85934daafe">EFireIgniteType</a>.Roadflare:</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>            {</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>                <a class="code hl_class" href="../../d1/dc8/class_achievements.html">Achievements</a>.<a class="code hl_function" href="../../d1/dc8/class_achievements.html#a015e85e74e38d461ac1a9ddc9d9f55cf">OnActionIgniteRoadflare</a>();</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>            }</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>            <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../da/df6/_e_fire_ignite_type_8c.html#a96be9fad49c872d620786d85934daafe">EFireIgniteType</a>.HandDrill:</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>            {</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>                <a class="code hl_class" href="../../d1/dc8/class_achievements.html">Achievements</a>.<a class="code hl_function" href="../../d1/dc8/class_achievements.html#a37a0115006c887ab780633f4877f6a8f">OnActionIgniteDrill</a>();</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>            }</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        }</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>    }</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>    </div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>    <span class="comment">//===================================</span></div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>    <span class="comment">// Event_OnEntityKilled</span></div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>    <span class="comment">//===================================</span></div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno"><a class="line" href="../../d8/d3e/class_analytics_manager_client.html#a1467e65be887768c385f4c5bad90e23a">  173</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d3e/class_analytics_manager_client.html#a1467e65be887768c385f4c5bad90e23a">Event_OnEntityKilled</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> victim, <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> killer, <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> source, <span class="keywordtype">bool</span> is_headshot)</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>    {</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        <span class="keywordflow">if</span> ( killer != null &amp;&amp; killer.IsPlayer() &amp;&amp; killer.GetID() == <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#aaf6ee4d1f067be1038b7a662af6af1bf">GetPlayer</a>().<a class="code hl_function" href="../../d5/d2d/_effect_8c.html#a2ba77aa3e0b17d2f4b2eb519db6aeaf7">GetID</a>() )</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>        {</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>            <a class="code hl_class" href="../../d1/dc8/class_achievements.html">Achievements</a>.<a class="code hl_function" href="../../d1/dc8/class_achievements.html#acf0911d0a261bd7600b2a46c1f99c77c">OnPlayerKilled</a>(victim, killer, source, is_headshot);</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>        }</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    }</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>}</div>
<div class="ttc" id="a_day_z_game_8c_html_a65f8eb109f7c050b229579c9c53c4ed5"><div class="ttname"><a href="../../d8/dc8/_day_z_game_8c.html#a65f8eb109f7c050b229579c9c53c4ed5">GetGameState</a></div><div class="ttdeci">DayZGameState GetGameState()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc8/_day_z_game_8c_source.html#l01042">DayZGame.c:1042</a></div></div>
<div class="ttc" id="a_day_z_game_8c_html_a92f5918ec5d632d5159c9d1f52fe7758"><div class="ttname"><a href="../../d8/dc8/_day_z_game_8c.html#a92f5918ec5d632d5159c9d1f52fe7758">GetDayZGame</a></div><div class="ttdeci">DayZGame GetDayZGame()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc8/_day_z_game_8c_source.html#l03103">DayZGame.c:3103</a></div></div>
<div class="ttc" id="a_e_fire_ignite_type_8c_html_a96be9fad49c872d620786d85934daafe"><div class="ttname"><a href="../../da/df6/_e_fire_ignite_type_8c.html#a96be9fad49c872d620786d85934daafe">EFireIgniteType</a></div><div class="ttdeci">EFireIgniteType</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df6/_e_fire_ignite_type_8c_source.html#l00001">EFireIgniteType.c:2</a></div></div>
<div class="ttc" id="a_effect_8c_html_a2ba77aa3e0b17d2f4b2eb519db6aeaf7"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a2ba77aa3e0b17d2f4b2eb519db6aeaf7">GetID</a></div><div class="ttdeci">int GetID()</div><div class="ttdoc">Get the ID registered in SEffectManager.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00525">Effect.c:525</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aaf6ee4d1f067be1038b7a662af6af1bf"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aaf6ee4d1f067be1038b7a662af6af1bf">GetPlayer</a></div><div class="ttdeci">PlayerBase GetPlayer()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00047">ModifierBase.c:47</a></div></div>
<div class="ttc" id="aclass_achievements_html"><div class="ttname"><a href="../../d1/dc8/class_achievements.html">Achievements</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d95/_achievements_xbox_8c_source.html#l00051">AchievementsXbox.c:52</a></div></div>
<div class="ttc" id="aclass_achievements_html_a015e85e74e38d461ac1a9ddc9d9f55cf"><div class="ttname"><a href="../../d1/dc8/class_achievements.html#a015e85e74e38d461ac1a9ddc9d9f55cf">Achievements::OnActionIgniteRoadflare</a></div><div class="ttdeci">static void OnActionIgniteRoadflare()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d95/_achievements_xbox_8c_source.html#l00102">AchievementsXbox.c:102</a></div></div>
<div class="ttc" id="aclass_achievements_html_a09e58ccf4d5ce602689b282f784231a5"><div class="ttname"><a href="../../d1/dc8/class_achievements.html#a09e58ccf4d5ce602689b282f784231a5">Achievements::OnCookedSteak</a></div><div class="ttdeci">static void OnCookedSteak()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d95/_achievements_xbox_8c_source.html#l00086">AchievementsXbox.c:86</a></div></div>
<div class="ttc" id="aclass_achievements_html_a0cb5760c521838510d6d36c62c9d8608"><div class="ttname"><a href="../../d1/dc8/class_achievements.html#a0cb5760c521838510d6d36c62c9d8608">Achievements::OnActionDrink</a></div><div class="ttdeci">static void OnActionDrink()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d95/_achievements_xbox_8c_source.html#l00070">AchievementsXbox.c:70</a></div></div>
<div class="ttc" id="aclass_achievements_html_a182e1b7ea8882b5e3b750a90854e0008"><div class="ttname"><a href="../../d1/dc8/class_achievements.html#a182e1b7ea8882b5e3b750a90854e0008">Achievements::OnActionIgniteMatchbox</a></div><div class="ttdeci">static void OnActionIgniteMatchbox()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d95/_achievements_xbox_8c_source.html#l00094">AchievementsXbox.c:94</a></div></div>
<div class="ttc" id="aclass_achievements_html_a37a0115006c887ab780633f4877f6a8f"><div class="ttname"><a href="../../d1/dc8/class_achievements.html#a37a0115006c887ab780633f4877f6a8f">Achievements::OnActionIgniteDrill</a></div><div class="ttdeci">static void OnActionIgniteDrill()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d95/_achievements_xbox_8c_source.html#l00110">AchievementsXbox.c:110</a></div></div>
<div class="ttc" id="aclass_achievements_html_a458ed599098127459869efa3a4679485"><div class="ttname"><a href="../../d1/dc8/class_achievements.html#a458ed599098127459869efa3a4679485">Achievements::OnActionHandcuff</a></div><div class="ttdeci">static void OnActionHandcuff()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d95/_achievements_xbox_8c_source.html#l00142">AchievementsXbox.c:142</a></div></div>
<div class="ttc" id="aclass_achievements_html_a69f85a8b9d5f1f435beea9672eb672f8"><div class="ttname"><a href="../../d1/dc8/class_achievements.html#a69f85a8b9d5f1f435beea9672eb672f8">Achievements::OnActionMedsSurvivor</a></div><div class="ttdeci">static void OnActionMedsSurvivor()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d95/_achievements_xbox_8c_source.html#l00134">AchievementsXbox.c:134</a></div></div>
<div class="ttc" id="aclass_achievements_html_a909878d1e5ee4d0fddedce69a6d36cdb"><div class="ttname"><a href="../../d1/dc8/class_achievements.html#a909878d1e5ee4d0fddedce69a6d36cdb">Achievements::OnActionEat</a></div><div class="ttdeci">static void OnActionEat()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d95/_achievements_xbox_8c_source.html#l00062">AchievementsXbox.c:62</a></div></div>
<div class="ttc" id="aclass_achievements_html_a95100ef4b8f6537d2c36fb65e9408865"><div class="ttname"><a href="../../d1/dc8/class_achievements.html#a95100ef4b8f6537d2c36fb65e9408865">Achievements::OnEquippedFullGear</a></div><div class="ttdeci">static void OnEquippedFullGear()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d95/_achievements_xbox_8c_source.html#l00078">AchievementsXbox.c:78</a></div></div>
<div class="ttc" id="aclass_achievements_html_abded1560b0265bd14fed6f33ae059137"><div class="ttname"><a href="../../d1/dc8/class_achievements.html#abded1560b0265bd14fed6f33ae059137">Achievements::OnActionGutDeer</a></div><div class="ttdeci">static void OnActionGutDeer()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d95/_achievements_xbox_8c_source.html#l00126">AchievementsXbox.c:126</a></div></div>
<div class="ttc" id="aclass_achievements_html_ac0da7d490b0a459919b740ef2e5135de"><div class="ttname"><a href="../../d1/dc8/class_achievements.html#ac0da7d490b0a459919b740ef2e5135de">Achievements::OnActionShave</a></div><div class="ttdeci">static void OnActionShave()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d95/_achievements_xbox_8c_source.html#l00118">AchievementsXbox.c:118</a></div></div>
<div class="ttc" id="aclass_achievements_html_acf0911d0a261bd7600b2a46c1f99c77c"><div class="ttname"><a href="../../d1/dc8/class_achievements.html#acf0911d0a261bd7600b2a46c1f99c77c">Achievements::OnPlayerKilled</a></div><div class="ttdeci">static void OnPlayerKilled(EntityAI victim, EntityAI killer, EntityAI source, bool is_headshot)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d95/_achievements_xbox_8c_source.html#l00150">AchievementsXbox.c:150</a></div></div>
<div class="ttc" id="aclass_analytics_manager_client_html"><div class="ttname"><a href="../../d8/d3e/class_analytics_manager_client.html">AnalyticsManagerClient</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d00/_analytics_manager_client_8c_source.html#l00001">AnalyticsManagerClient.c:2</a></div></div>
<div class="ttc" id="aclass_analytics_manager_client_html_a1196b9d9b31291b6078fdd47bdec1310"><div class="ttname"><a href="../../d8/d3e/class_analytics_manager_client.html#a1196b9d9b31291b6078fdd47bdec1310">AnalyticsManagerClient::m_FullGear</a></div><div class="ttdeci">static string m_FullGear[GEAR_COUNT]</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d00/_analytics_manager_client_8c_source.html#l00004">AnalyticsManagerClient.c:4</a></div></div>
<div class="ttc" id="aclass_analytics_manager_client_html_a1467e65be887768c385f4c5bad90e23a"><div class="ttname"><a href="../../d8/d3e/class_analytics_manager_client.html#a1467e65be887768c385f4c5bad90e23a">AnalyticsManagerClient::Event_OnEntityKilled</a></div><div class="ttdeci">void Event_OnEntityKilled(EntityAI victim, EntityAI killer, EntityAI source, bool is_headshot)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d00/_analytics_manager_client_8c_source.html#l00173">AnalyticsManagerClient.c:173</a></div></div>
<div class="ttc" id="aclass_analytics_manager_client_html_a2a168a8983dd9f97adab0cfb7d77c205"><div class="ttname"><a href="../../d8/d3e/class_analytics_manager_client.html#a2a168a8983dd9f97adab0cfb7d77c205">AnalyticsManagerClient::UnregisterEvents</a></div><div class="ttdeci">void UnregisterEvents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d00/_analytics_manager_client_8c_source.html#l00012">AnalyticsManagerClient.c:12</a></div></div>
<div class="ttc" id="aclass_analytics_manager_client_html_a4e294f8e4d2d8766c9d0f52c7e05c5b7"><div class="ttname"><a href="../../d8/d3e/class_analytics_manager_client.html#a4e294f8e4d2d8766c9d0f52c7e05c5b7">AnalyticsManagerClient::GEAR_COUNT</a></div><div class="ttdeci">static const int GEAR_COUNT</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d00/_analytics_manager_client_8c_source.html#l00003">AnalyticsManagerClient.c:3</a></div></div>
<div class="ttc" id="aclass_analytics_manager_client_html_a597b38efae4cdb5ccb533d06d3a11f43"><div class="ttname"><a href="../../d8/d3e/class_analytics_manager_client.html#a597b38efae4cdb5ccb533d06d3a11f43">AnalyticsManagerClient::OnActionBandageTarget</a></div><div class="ttdeci">void OnActionBandageTarget()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d00/_analytics_manager_client_8c_source.html#l00069">AnalyticsManagerClient.c:69</a></div></div>
<div class="ttc" id="aclass_analytics_manager_client_html_a62f4f207b880e504a14ba78eb64b9157"><div class="ttname"><a href="../../d8/d3e/class_analytics_manager_client.html#a62f4f207b880e504a14ba78eb64b9157">AnalyticsManagerClient::OnActionFinishedShaveSelf</a></div><div class="ttdeci">void OnActionFinishedShaveSelf()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d00/_analytics_manager_client_8c_source.html#l00045">AnalyticsManagerClient.c:45</a></div></div>
<div class="ttc" id="aclass_analytics_manager_client_html_a6ed1b56e835b8c4719c3b15d4c00541d"><div class="ttname"><a href="../../d8/d3e/class_analytics_manager_client.html#a6ed1b56e835b8c4719c3b15d4c00541d">AnalyticsManagerClient::OnActionRestrain</a></div><div class="ttdeci">void OnActionRestrain()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d00/_analytics_manager_client_8c_source.html#l00061">AnalyticsManagerClient.c:61</a></div></div>
<div class="ttc" id="aclass_analytics_manager_client_html_a9c26025e6e9bbb0c06f86c545163e859"><div class="ttname"><a href="../../d8/d3e/class_analytics_manager_client.html#a9c26025e6e9bbb0c06f86c545163e859">AnalyticsManagerClient::OnItemAttachedAtPlayer</a></div><div class="ttdeci">void OnItemAttachedAtPlayer(EntityAI item, string slot_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d00/_analytics_manager_client_8c_source.html#l00077">AnalyticsManagerClient.c:77</a></div></div>
<div class="ttc" id="aclass_analytics_manager_client_html_ac71de1e479b5f0de4a5686407e1f1a2d"><div class="ttname"><a href="../../d8/d3e/class_analytics_manager_client.html#ac71de1e479b5f0de4a5686407e1f1a2d">AnalyticsManagerClient::OnActionDrink</a></div><div class="ttdeci">void OnActionDrink()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d00/_analytics_manager_client_8c_source.html#l00029">AnalyticsManagerClient.c:29</a></div></div>
<div class="ttc" id="aclass_analytics_manager_client_html_af4d216f338a7e84a1f7759b15355bf9a"><div class="ttname"><a href="../../d8/d3e/class_analytics_manager_client.html#af4d216f338a7e84a1f7759b15355bf9a">AnalyticsManagerClient::OnActionFinishedGutDeer</a></div><div class="ttdeci">void OnActionFinishedGutDeer()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d00/_analytics_manager_client_8c_source.html#l00053">AnalyticsManagerClient.c:53</a></div></div>
<div class="ttc" id="aclass_analytics_manager_client_html_af80a664805ae07e95eddbf0c31dfaba8"><div class="ttname"><a href="../../d8/d3e/class_analytics_manager_client.html#af80a664805ae07e95eddbf0c31dfaba8">AnalyticsManagerClient::OnActionEat</a></div><div class="ttdeci">void OnActionEat()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d00/_analytics_manager_client_8c_source.html#l00021">AnalyticsManagerClient.c:21</a></div></div>
<div class="ttc" id="aclass_analytics_manager_client_html_afb221163d698975a16468e85c815479a"><div class="ttname"><a href="../../d8/d3e/class_analytics_manager_client.html#afb221163d698975a16468e85c815479a">AnalyticsManagerClient::RegisterEvents</a></div><div class="ttdeci">void RegisterEvents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d00/_analytics_manager_client_8c_source.html#l00006">AnalyticsManagerClient.c:6</a></div></div>
<div class="ttc" id="aclass_analytics_manager_client_html_afc00bba8ec8bcce91091e672386b23c4"><div class="ttname"><a href="../../d8/d3e/class_analytics_manager_client.html#afc00bba8ec8bcce91091e672386b23c4">AnalyticsManagerClient::Event_OnPlayerIgnitedFireplace</a></div><div class="ttdeci">void Event_OnPlayerIgnitedFireplace(EFireIgniteType ignite_type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d00/_analytics_manager_client_8c_source.html#l00148">AnalyticsManagerClient.c:148</a></div></div>
<div class="ttc" id="aclass_analytics_manager_client_html_afff9d6688d9d19e1b23b42f35ba1bbd9"><div class="ttname"><a href="../../d8/d3e/class_analytics_manager_client.html#afff9d6688d9d19e1b23b42f35ba1bbd9">AnalyticsManagerClient::OnActionCookedSteak</a></div><div class="ttdeci">void OnActionCookedSteak()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d00/_analytics_manager_client_8c_source.html#l00037">AnalyticsManagerClient.c:37</a></div></div>
<div class="ttc" id="aclass_c_game_html_a98e334b5640f57fa731546a0ba86b3be"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a98e334b5640f57fa731546a0ba86b3be">CGame::GetPlayer</a></div><div class="ttdeci">proto native DayZPlayer GetPlayer()</div></div>
<div class="ttc" id="aclass_client_data_html"><div class="ttname"><a href="../../d5/daf/class_client_data.html">ClientData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d26/_client_data_8c_source.html#l00001">ClientData.c:2</a></div></div>
<div class="ttc" id="aclass_client_data_html_ab893cdb33e1bf3adca686a4e49be3803"><div class="ttname"><a href="../../d5/daf/class_client_data.html#ab893cdb33e1bf3adca686a4e49be3803">ClientData::SyncEvent_OnPlayerIgnitedFireplace</a></div><div class="ttdeci">static ref ScriptInvoker SyncEvent_OnPlayerIgnitedFireplace</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d26/_client_data_8c_source.html#l00005">ClientData.c:5</a></div></div>
<div class="ttc" id="aclass_client_data_html_aee555d762fb044be23805de0268be336"><div class="ttname"><a href="../../d5/daf/class_client_data.html#aee555d762fb044be23805de0268be336">ClientData::SyncEvent_OnEntityKilled</a></div><div class="ttdeci">static ref ScriptInvoker SyncEvent_OnEntityKilled</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d26/_client_data_8c_source.html#l00004">ClientData.c:4</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_game_inventory_html_af8002b59258c66566442a01887d57df8"><div class="ttname"><a href="../../dc/d11/class_game_inventory.html#af8002b59258c66566442a01887d57df8">GameInventory::FindAttachment</a></div><div class="ttdeci">proto native EntityAI FindAttachment(int slot)</div><div class="ttdoc">Returns attached entity in slot (you can use InventorySlots.GetSlotIdFromString(name) to get slot id)</div></div>
<div class="ttc" id="aclass_human_inventory_html"><div class="ttname"><a href="../../d8/d86/class_human_inventory.html">HumanInventory</a></div><div class="ttdoc">inventory for plain man/human</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d27/_human_inventory_8c_source.html#l00009">HumanInventory.c:10</a></div></div>
<div class="ttc" id="aclass_human_inventory_html_a314bb90c0fcbd13aa737c13b199ac429"><div class="ttname"><a href="../../d8/d86/class_human_inventory.html#a314bb90c0fcbd13aa737c13b199ac429">HumanInventory::GetEntityInHands</a></div><div class="ttdeci">proto native EntityAI GetEntityInHands()</div></div>
<div class="ttc" id="aclass_inventory_slots_html"><div class="ttname"><a href="../../df/d36/class_inventory_slots.html">InventorySlots</a></div><div class="ttdoc">provides access to slot configuration</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc1/_inventory_slots_8c_source.html#l00005">InventorySlots.c:6</a></div></div>
<div class="ttc" id="aclass_inventory_slots_html_afdfa2801842c135099e68d21a2e71590"><div class="ttname"><a href="../../df/d36/class_inventory_slots.html#afdfa2801842c135099e68d21a2e71590">InventorySlots::GetSlotIdFromString</a></div><div class="ttdeci">static proto native int GetSlotIdFromString(string slot_name)</div><div class="ttdoc">converts string to slot_id</div></div>
<div class="ttc" id="aclass_script_invoker_html_a704b1e426e4369c79a8495f63cfe5eed"><div class="ttname"><a href="../../d4/d2d/class_script_invoker.html#a704b1e426e4369c79a8495f63cfe5eed">ScriptInvoker::Remove</a></div><div class="ttdeci">proto void Remove(func fn)</div><div class="ttdoc">remove specific call from list</div></div>
<div class="ttc" id="aclass_script_invoker_html_abeb2392b2e3dc0a34d0c5cafc96a288e"><div class="ttname"><a href="../../d4/d2d/class_script_invoker.html#abeb2392b2e3dc0a34d0c5cafc96a288e">ScriptInvoker::Insert</a></div><div class="ttdeci">proto void Insert(func fn)</div><div class="ttdoc">insert method to list</div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_4fd8ecf4cf2c263f518b33961617e6e9.html">Analytics</a></li><li class="navelem"><a class="el" href="../../d8/d00/_analytics_manager_client_8c.html">AnalyticsManagerClient.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
